aboutsummaryrefslogtreecommitdiff
path: root/evaluate2.sh
diff options
context:
space:
mode:
authorJason Nochlin <hundredwatt@users.noreply.github.com>2024-01-10 07:48:02 -0700
committerGunnar Morling <gunnar.morling@googlemail.com>2024-01-10 16:01:07 +0100
commita8ebaf1a59a7cd45a785e66d6b61c8519368ba63 (patch)
tree4f669668b6b63cff84fcd421cedc282279c4181b /evaluate2.sh
parenta08cd0e05ae05a783aba48fd25ba7ab230e0b746 (diff)
catch hyperfine command failed
Diffstat (limited to 'evaluate2.sh')
-rwxr-xr-xevaluate2.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/evaluate2.sh b/evaluate2.sh
index 84c8e52..b862bd5 100755
--- a/evaluate2.sh
+++ b/evaluate2.sh
@@ -153,6 +153,11 @@ for fork in "$@"; do
else
hyperfine $HYPERFINE_OPTS "./calculate_average_$fork.sh 2>&1"
fi
+ # Catch hyperfine command failed
+ if [ $? -ne 0 ]; then
+ failed+=("$fork")
+ echo ""
+ fi
# Verify output
diff <(grep Hamburg $fork-$filetimestamp.out) <(grep Hamburg out_expected.txt) > /dev/null